package com.yuchen.saas.park.service.service.property;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.entity.property.PropertyDirectReductionDetail;

import java.util.List;

/**
 * <p>
 * 减免活动-直接减免-详情 服务类
 * </p>
 *
 * @author cxj
 * @since 2023-12-19
 */
public interface IPropertyDirectReductionDetailService extends IService<PropertyDirectReductionDetail> {

    Boolean removeByDirectReductionId(Long directReductionId);

    List<PropertyDirectReductionDetail> listByDirectReductionId(Long directReductionId);

    List<PropertyDirectReductionDetail>listByQuery(Long feeStandardId,Long feeItemId);

    List<PropertyDirectReductionDetail> listByDirectReductionIdAndFeeStandardId(Long directReductionId,Long feeStandardId);
}
